Attribute VB_Name = "modFMCommon"
Option Explicit

Public gstrFoodCountItem As String
'------------------------------------------------------------------------
' Define key constant groups that can be used by any form or module in
' any project in which this module is included ...
'------------------------------------------------------------------------
Public Const gstrUPPER_ALPHA    As String * 26 = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
Public Const gstrLOWER_ALPHA    As String * 26 = "abcdefghijklmnopqrstuvwxyz"
Public Const gstrALPHABETIC     As String * 52 = gstrUPPER_ALPHA & gstrLOWER_ALPHA
Public Const gstrNUMERIC_DIGITS As String * 10 = "0123456789"

'************************************************************************
Sub CenterForm(pobjForm As Form)
'************************************************************************

    With pobjForm
        .Top = (Screen.Height - .Height) / 2
        .Left = (Screen.Width - .Width) / 2
    End With

End Sub



'************************************************************************
'*                                                                      *
Function ValidKey(pintKeyValue As Integer, _
                  pstrSearchString As String) As Integer
'*                                                                      *
'*  Common function to filter out keyboard characters passed to this    *
'*  function from KeyPress events.                                      *
'*                                                                      *
'*  Typical call:                                                       *
'*      KeyAscii = ValidKey(KeyAscii, gstrNUMERIC_DIGITS)               *
'*                                                                      *
'************************************************************************

    If pintKeyValue < 32 _
    Or InStr(pstrSearchString, Chr$(pintKeyValue)) > 0 Then
        'Do nothing - i.e., accept the Backspace key and any key
        '             in the search string passed to this function ...
    Else
        'cancel (do not accept) any other key ...
        pintKeyValue = 0
    End If

    ValidKey = pintKeyValue

End Function
